Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(112)

Issue 2069853002: Ignore certain messages in plugin broker process if they are not sent by the (Closed)

Created:
3 years, 2 months ago by yzshen1
Modified:
3 years, 2 months ago
Reviewers:
bbudge, jam, jschuh, dcheng
CC:
chromium-reviews, darin-cc_chromium.org, nasko+codewatch_chromium.org, jam, creis+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Ignore certain messages in plugin broker process if they are not sent by the browser. BUG=610600 CQ_INCLUDE_TRYBOTS=tryserver.chromium.linux:linux_site_isolation Committed: https://crrev.com/92cad45212731b59e74c8f2a2913691db3e9d770 Cr-Commit-Position: refs/heads/master@{#400495}

Patch Set 1 #

Patch Set 2 : #

Total comments: 5

Patch Set 3 : #

Total comments: 2

Patch Set 4 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+65 lines, -21 lines) Patch
M content/browser/frame_host/render_frame_message_filter.cc View 2 chunks +6 lines, -0 lines 0 comments Download
M content/browser/ppapi_plugin_process_host.h View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/ppapi_plugin_process_host.cc View 1 2 3 1 chunk +6 lines, -2 lines 0 comments Download
M content/ppapi_plugin/OWNERS View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M content/ppapi_plugin/broker_process_dispatcher.h View 2 chunks +4 lines, -1 line 0 comments Download
M content/ppapi_plugin/broker_process_dispatcher.cc View 1 2 3 3 chunks +27 lines, -5 lines 0 comments Download
M content/ppapi_plugin/ppapi_thread.h View 1 chunk +8 lines, -6 lines 0 comments Download
M content/ppapi_plugin/ppapi_thread.cc View 1 3 chunks +9 lines, -7 lines 0 comments Download
M ppapi/proxy/ppapi_messages.h View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 25 (8 generated)
yzshen1
Hi, reviewers. Would you please take a look? - bbudge: pepper logic - jam: OWNER ...
3 years, 2 months ago (2016-06-14 23:02:37 UTC) #4
bbudge
LGTM https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/ppapi_thread.cc File content/ppapi_plugin/ppapi_thread.cc (right): https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/ppapi_thread.cc#newcode509 content/ppapi_plugin/ppapi_thread.cc:509: DCHECK_NE(base::kNullProcessId, renderer_pid); I'm not very familiar with this ...
3 years, 2 months ago (2016-06-14 23:16:53 UTC) #5
yzshen1
https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/ppapi_thread.cc File content/ppapi_plugin/ppapi_thread.cc (right): https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/ppapi_thread.cc#newcode509 content/ppapi_plugin/ppapi_thread.cc:509: DCHECK_NE(base::kNullProcessId, renderer_pid); On 2016/06/14 23:16:53, bbudge wrote: > I'm ...
3 years, 2 months ago (2016-06-14 23:24:47 UTC) #6
yzshen1
3 years, 2 months ago (2016-06-14 23:24:50 UTC) #7
bbudge
https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/ppapi_thread.cc File content/ppapi_plugin/ppapi_thread.cc (right): https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/ppapi_thread.cc#newcode509 content/ppapi_plugin/ppapi_thread.cc:509: DCHECK_NE(base::kNullProcessId, renderer_pid); On 2016/06/14 23:24:47, yzshen1 wrote: > On ...
3 years, 2 months ago (2016-06-14 23:42:16 UTC) #8
jam
lgtm with one change: please add yourself to content/ppapi_plugin/OWNERS https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/broker_process_dispatcher.cc File content/ppapi_plugin/broker_process_dispatcher.cc (right): https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/broker_process_dispatcher.cc#newcode118 content/ppapi_plugin/broker_process_dispatcher.cc:118: ...
3 years, 2 months ago (2016-06-15 17:50:38 UTC) #9
yzshen1
Thanks John! I also added myself as an OWNER of content/ppapi_plugin/ https://codereview.chromium.org/2069853002/diff/20001/content/ppapi_plugin/broker_process_dispatcher.cc File content/ppapi_plugin/broker_process_dispatcher.cc (right): ...
3 years, 2 months ago (2016-06-15 18:17:43 UTC) #10
yzshen1
+Daniel for security review. WRT the change in ppapi_messges.h: This CL doesn't change the meaning ...
3 years, 2 months ago (2016-06-16 17:59:40 UTC) #12
dcheng
lgtm
3 years, 2 months ago (2016-06-16 20:09:26 UTC) #13
jschuh
Almost good, but really think want to terminate the peer if we're getting these messages, ...
3 years, 2 months ago (2016-06-16 21:08:36 UTC) #14
yzshen1
https://codereview.chromium.org/2069853002/diff/40001/content/ppapi_plugin/broker_process_dispatcher.cc File content/ppapi_plugin/broker_process_dispatcher.cc (right): https://codereview.chromium.org/2069853002/diff/40001/content/ppapi_plugin/broker_process_dispatcher.cc#newcode118 content/ppapi_plugin/broker_process_dispatcher.cc:118: if (!peer_is_browser_) On 2016/06/16 21:08:36, jschuh (very slow) wrote: ...
3 years, 2 months ago (2016-06-16 22:23:15 UTC) #15
jschuh
On 2016/06/16 22:23:15, yzshen1 wrote: > https://codereview.chromium.org/2069853002/diff/40001/content/ppapi_plugin/broker_process_dispatcher.cc > File content/ppapi_plugin/broker_process_dispatcher.cc (right): > > https://codereview.chromium.org/2069853002/diff/40001/content/ppapi_plugin/broker_process_dispatcher.cc#newcode118 > ...
3 years, 2 months ago (2016-06-16 23:06:58 UTC) #16
yzshen1
On 2016/06/16 23:06:58, jschuh (very slow) wrote: > On 2016/06/16 22:23:15, yzshen1 wrote: > > ...
3 years, 2 months ago (2016-06-17 16:45:08 UTC) #17
jschuh
lgtm
3 years, 2 months ago (2016-06-17 18:46:05 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2069853002/60001
3 years, 2 months ago (2016-06-17 19:08:02 UTC) #21
commit-bot: I haz the power
Committed patchset #4 (id:60001)
3 years, 2 months ago (2016-06-17 20:40:21 UTC) #23
commit-bot: I haz the power
3 years, 2 months ago (2016-06-17 20:43:19 UTC) #25
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/92cad45212731b59e74c8f2a2913691db3e9d770
Cr-Commit-Position: refs/heads/master@{#400495}

Powered by Google App Engine
This is Rietveld 408576698